From e58ba386379155c9a45c5ced08c1cfd14a0712f6 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Tue, 27 Jun 2017 21:44:01 +0200
Subject: [PATCH] Set correct attributes on script tags

The type attribute is mandatory in XHTML while the language
attribute has been deprecated.
---
 templates/admin/base_site.html         | 4 ++--
 templates/admin/change_form_pgweb.html | 2 +-
 templates/base/form.html               | 6 +++---
 templates/lists/subscribe_form.html    | 2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/templates/admin/base_site.html b/templates/admin/base_site.html
index 78cdfa2..bf78194 100644
--- a/templates/admin/base_site.html
+++ b/templates/admin/base_site.html
@@ -4,8 +4,8 @@
 {%block extrahead%}
 <link rel="stylesheet" href="/media/css/jquery-ui.css" type="text/css">
 <link href="/media/selectable/css/dj.selectable.css" type="text/css" media="all" rel="stylesheet">
-<script src="/media/js/jquery.min.js"></script>
-<script src="/media/js/jquery-ui.min.js"></script>
+<script type="text/javascript" src="/media/js/jquery.min.js"></script>
+<script type="text/javascript" src="/media/js/jquery-ui.min.js"></script>
 <script type="text/javascript" src="/media/selectable/js/jquery.dj.selectable.js"></script>
 <style>
 ul.selectable-deck li.selectable-deck-item a.selectable-deck-remove {
diff --git a/templates/admin/change_form_pgweb.html b/templates/admin/change_form_pgweb.html
index 2aef610..61accc4 100644
--- a/templates/admin/change_form_pgweb.html
+++ b/templates/admin/change_form_pgweb.html
@@ -11,7 +11,7 @@ Note that the summary field can use
 <link rel="stylesheet" type="text/css" href="/media/css/showdown_preview.css" />
 <script type="text/javascript" src="/media/showdown/showdown.js"></script>
 <script type="text/javascript" src="/media/js/showdown_preview.js"></script>
-<script language="javascript">
+<script type="text/javascript">
    window.onload = function() {
       tael = document.getElementsByTagName('textarea');
       for (i = 0; i < tael.length; i++) {
diff --git a/templates/base/form.html b/templates/base/form.html
index c21b55e..c7d499a 100644
--- a/templates/base/form.html
+++ b/templates/base/form.html
@@ -50,7 +50,7 @@
 <link rel="stylesheet" type="text/css" href="/media/css/showdown_preview.css" />
 <script type="text/javascript" src="/media/showdown/showdown.js"></script>
 <script type="text/javascript" src="/media/js/showdown_preview.js"></script>
-<script language="javascript">
+<script type="text/javascript">
    window.onload = function() {
       {%for mdf in markdownfields %}
          attach_showdown_preview('id_{{mdf}}', 0);
@@ -58,7 +58,7 @@
    }
 </script>
 {%if toggle_fields %}
-<script language="javascript">
+<script type="text/javascript">
 {%for f in toggle_fields%}
 function toggle_{{f.name}}() {
    v = $('#id_{{f.name}}').prop('checked');
@@ -86,7 +86,7 @@ $(document).ready(function() {
 {%endif%}{# markdownfields #}
 
 {%if recaptcha%}
-<script src="https://www.google.com/recaptcha/api.js?hl=en" async defer></script>
+<script type="text/javascript" src="https://www.google.com/recaptcha/api.js?hl=en" async defer></script>
 {%endif%}
 {%endblock%}
 
diff --git a/templates/lists/subscribe_form.html b/templates/lists/subscribe_form.html
index cd24b18..2f99d55 100644
--- a/templates/lists/subscribe_form.html
+++ b/templates/lists/subscribe_form.html
@@ -1,7 +1,7 @@
 {%extends "base/form.html"%}
 {% block extrahead %}
 {{ block.super }}
-<script language="javascript">
+<script type="text/javascript">
 $(function() {
    var part = document.URL.substring(document.URL.indexOf('#')+1);
    $('#id_lists').val(part);
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

